<div class="col s12"> 
   <md-toolbar color="primary" class="background-color "  style="margin-top:12px;">
   <i class="fa fa-arrow-circle-left fa-2x waves-effect waves-light" (click)="commonService.nav('task')" aria-hidden="true"
   ></i>
   <span style="margin:0px auto; ">
   <i class="fa fa-pencil-square-o" aria-hidden="true"></i> &nbsp; Update Plan
</span>
   </md-toolbar>
     <md-card >
     <span *ngIf="agent">
     <div class="col-xs-8 col-xs-offset-2" >   
     <b>Agent Name :  </b>
     <strong>
      {{agent.user_name}}
     </strong>
     </div>
     <form #form="ngForm" (ngSubmit)="updatePlan(form,agent.user_name)" >
       <div class="row" style="margin-bottom:0px !important">
       <div class="input-field center col-xs-8 col-xs-offset-2">

          <div class="form-group" >
            <input  type="hidden" *ngIf="plan_assign" name="task_id" [(ngModel)]="plan_assign.task_id">
            <select class="form-control" id="plan_id"  *ngIf="plan_assign" name="plan_id" [(ngModel)]="plan_assign.plan_id">
               <option value={{agent.plan_a_no}}  >{{agent.plan_a_name}}</option>
               <option value={{agent.plan_b_no}}>{{agent.plan_b_name}}</option>
             </select>
          </div>      
       <button class="waves-effect waves-light btn " ><i class="fa fa-paper-plane" aria-hidden="true"></i> Update </button>
        </div>
   </div>
   </form>
   </span>
  </md-card>
 </div>



 




 